# Development - Visualizer


## Feature - Graphs

Very slow!

**Graph providers**
* [x] Module dependencies
* [x] Library dependencies
* [x] Composer package dependencies
* [ ] Configuration dependencies
* [ ] Migration dependencies
* [ ] Entity reference fields
* [ ] Database schema
* [ ] Service arguments
* [ ] Workflow
* [ ] Base theme hierarchy

**Graph manipulations**
* [ ] Layers
* [ ] Filters


## Feature - content entity view_mode table

* [x] Customized or not
* [x] It uses Layout Builder or not


## Feature - Entity bundle settings

Show settings of every bundle (of a certain entity type) in a table.

* [x] node_type
* [ ] Maybe show the attached workflows as well.


## Feature - NodeType list

* [x] Removes description columns
* [x] Adds individual column for „Preview mode”
* [x] Adds individual column for „Display submitted”
* [x] Adds individual column for „New version”
* [x] Adds individual column for „Published”
* [x] Adds individual column for „Promote”
* [x] Adds individual column for „Sticky”
* [x] Adds individual column for „Available menus” and „Default parent link”
* [ ] ListBuilder replacement is configurable.
* [ ] Support for [type_tray] module: icon in separated column.
* [ ] Support for [type_tray] module: category in separated column or group rows by category.
* [ ] Support for [type_tray] module: weight for ordering.


## Feature - Field instance settings

Group field instances by field types and show their settings in a table.

* [x] file
* [x] image
* [ ] date *
* [ ] text *


## Feature - Field widget settings

Group field instances by field types and show their entity form widget settings in a table.

**Columns**
* [ ] field type
* [ ] entity_type
* [ ] bundle
* [ ] field_name
* [ ] ?cardinality
* [ ] form_mode
* [ ] widget_id
* [ ] widget_settings
  * foo1 (depends on the widget)
  * foo2 (depends on the widget)

**Supported field types**
* [ ] date


## Feature - Field formatter settings

Group field instances by field types and show their entity view_mode formatter settings in a table.

**Columns**
* [ ] field type
* [ ] entity_type
* [ ] bundle
* [ ] field_name
* [ ] ?cardinality
* [ ] view_mode
* [ ] formatter_id
* [ ] formatter_settings
  * foo1 (depends on the formatter)
  * foo2 (depends on the formatter)

**Supported field types**
* [ ] date


## Feature - Image style list

* [x] List effects of an image_style on the "/admin/config/media/image-styles" page
* [x] Show preview images on the list page.
* [x] ListBuilder replacement is configurable.


## Feature - Cache bin and cache backend mapping

* [ ] Cache bins and their backend service names and their handler classes


## Feature - Other

* [ ] On permissions page sort rows by machine-name
* [ ] On permissions page filter rows by keywords
* [ ] Theme regions in a table


## Install

  1. Run `cd my/project/root`
  2. Run `composer install drupal/devel_visual`
  3. Run `vendor/bin/drush pm:enable devel_visual`
  4. Go to `http://localhost/admin/reports/devel_visual`
  5. Run `vendor/bin/drush list --filter=devel_visual`
  6. Have fun :-)


[type_tray]: https://drupal.org/project/type_tray
