<?php

declare(strict_types=1);

namespace Drupal\devel_visual\Controller;

use Symfony\Component\DependencyInjection\ContainerInterface;

class PageModuleDependencies extends PageDependenciesBase {

  public static function create(ContainerInterface $container) {
    // @phpstan-ignore-next-line
    return new static(
      $container->get('devel_visual.graph_exporter.graphviz_dot'),
      $container->get('devel_visual.graph_provider.module_dependencies')
    );
  }

}
